IOSS 2.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ioex::Internals Class Reference

`#include <Ioex_Internals.h>`

Collaboration diagram for Ioex::Internals:
[legend]

## Public Member Functions
| Internals (int exoid, int maximum_name_length, const Ioss::ParallelUtils &util)
| Internals (const Internals &from)=delete
Internals & | operator= (const Internals &from)=delete
int | initialize_state_file (Mesh &mesh, const ex_var_params &var_params, const std::string &base_file_name)
int | write_meta_data (Mesh &mesh)

## Private Member Functions
void | get_global_counts (Mesh &mesh)
int | put_metadata (const Mesh &mesh, const CommunicationMetaData &comm)
int | put_metadata (const std::vector< NodeBlock > &nodeblocks, bool count_only=false)
int | put_metadata (const std::vector< EdgeBlock > &blocks, bool count_only=false)
int | put_metadata (const std::vector< FaceBlock > &blocks, bool count_only=false)
int | put_metadata (const std::vector< ElemBlock > &blocks, bool count_only=false)
int | put_metadata (const std::vector< NodeSet > &nodesets, bool count_only=false)
int | put_metadata (const std::vector< EdgeSet > &edgesets, bool count_only=false)
int | put_metadata (const std::vector< FaceSet > &facesets, bool count_only=false)
int | put_metadata (const std::vector< ElemSet > &elemsets, bool count_only=false)
int | put_metadata (const std::vector< SideSet > &sidesets, bool count_only=false)
int | put_non_define_data (const CommunicationMetaData &comm)
int | put_non_define_data (const std::vector< NodeBlock > &nodeblocks)
int | put_non_define_data (const std::vector< EdgeBlock > &blocks)
int | put_non_define_data (const std::vector< FaceBlock > &blocks)
int | put_non_define_data (const std::vector< ElemBlock > &blocks)
int | put_non_define_data (const std::vector< NodeSet > &nodesets)
int | put_non_define_data (const std::vector< EdgeSet > &edgesets)
int | put_non_define_data (const std::vector< FaceSet > &facesets)
int | put_non_define_data (const std::vector< ElemSet > &elemsets)
int | put_non_define_data (const std::vector< SideSet > &sidesets)
int | max_name_length () const

## Private Attributes
int | exodusFilePtr
int | nodeMapVarID [3]
int | elementMapVarID [2]
int | commIndexVar {0}
int | elemCommIndexVar {0}
int | maximumNameLength {32}
Ioss::ParallelUtils | parallelUtil

## Constructor & Destructor Documentation

## ◆ Internals() [1/2]

Internals::Internals | ( | int | exoid,
|  | int | maximum_name_length,
|  | const Ioss::ParallelUtils & | util
| ) |  |

## ◆ Internals() [2/2]

Ioex::Internals::Internals | ( | const Internals & | from | ) |
| delete

## Member Function Documentation

## ◆ get_global_counts()

void Internals::get_global_counts | ( | Mesh & | mesh | ) |
| private

A restart file may contain an attribute which contains information about the processor count and current processor id

- when the file was written. This code checks whether that information matches the current processor count and id. If it
- exists, but doesn't match, a warning message is printed. Eventually, this will be used to determine whether certain decomposition-related data in the file is valid or has been invalidated by a join/re-spread to a different number of processors.

## ◆ initialize_state_file()

int Internals::initialize_state_file | ( | Mesh & | mesh,
|  | const ex_var_params & | var_params,
|  | const std::string & | base_file_name
| ) |  |

## ◆ max_name_length()

int Ioex::Internals::max_name_length | ( |  | ) | const
| inlineprivate

## ◆ operator=()

Internals& Ioex::Internals::operator= | ( | const Internals & | from | ) |
| delete

## ◆ put_metadata() [1/10]

int Internals::put_metadata | ( | const Mesh & | mesh,
|  | const CommunicationMetaData & | comm
| ) |  |
| private

## ◆ put_metadata() [2/10]

int Internals::put_metadata | ( | const std::vector< EdgeBlock > & | blocks,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [3/10]

int Internals::put_metadata | ( | const std::vector< EdgeSet > & | edgesets,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [4/10]

int Internals::put_metadata | ( | const std::vector< ElemBlock > & | blocks,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [5/10]

int Internals::put_metadata | ( | const std::vector< ElemSet > & | elemsets,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [6/10]

int Internals::put_metadata | ( | const std::vector< FaceBlock > & | blocks,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [7/10]

int Internals::put_metadata | ( | const std::vector< FaceSet > & | facesets,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [8/10]

int Ioex::Internals::put_metadata | ( | const std::vector< NodeBlock > & | nodeblocks,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [9/10]

int Internals::put_metadata | ( | const std::vector< NodeSet > & | nodesets,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_metadata() [10/10]

int Internals::put_metadata | ( | const std::vector< SideSet > & | sidesets,
|  | bool | count_only = `false`
| ) |  |
| private

## ◆ put_non_define_data() [1/10]

int Internals::put_non_define_data | ( | const CommunicationMetaData & | comm | ) |
| private

## ◆ put_non_define_data() [2/10]

int Internals::put_non_define_data | ( | const std::vector< EdgeBlock > & | blocks | ) |
| private

## ◆ put_non_define_data() [3/10]

int Internals::put_non_define_data | ( | const std::vector< EdgeSet > & | edgesets | ) |
| private

## ◆ put_non_define_data() [4/10]

int Internals::put_non_define_data | ( | const std::vector< ElemBlock > & | blocks | ) |
| private

## ◆ put_non_define_data() [5/10]

int Internals::put_non_define_data | ( | const std::vector< ElemSet > & | elemsets | ) |
| private

## ◆ put_non_define_data() [6/10]

int Internals::put_non_define_data | ( | const std::vector< FaceBlock > & | blocks | ) |
| private

## ◆ put_non_define_data() [7/10]

int Internals::put_non_define_data | ( | const std::vector< FaceSet > & | facesets | ) |
| private

## ◆ put_non_define_data() [8/10]

int Ioex::Internals::put_non_define_data | ( | const std::vector< NodeBlock > & | nodeblocks | ) |
| private

## ◆ put_non_define_data() [9/10]

int Internals::put_non_define_data | ( | const std::vector< NodeSet > & | nodesets | ) |
| private

## ◆ put_non_define_data() [10/10]

int Internals::put_non_define_data | ( | const std::vector< SideSet > & | sidesets | ) |
| private

## ◆ write_meta_data()

int Internals::write_meta_data | ( | Mesh & | mesh | ) |

## Member Data Documentation

## ◆ commIndexVar

int Ioex::Internals::commIndexVar {0}
| private

## ◆ elemCommIndexVar

int Ioex::Internals::elemCommIndexVar {0}
| private

## ◆ elementMapVarID

int Ioex::Internals::elementMapVarID[2]
| private

## ◆ exodusFilePtr

int Ioex::Internals::exodusFilePtr
| private

## ◆ maximumNameLength

int Ioex::Internals::maximumNameLength {32}
| private

## ◆ nodeMapVarID

int Ioex::Internals::nodeMapVarID[3]
| private

## ◆ parallelUtil

Ioss::ParallelUtils Ioex::Internals::parallelUtil
| private

The documentation for this class was generated from the following files:

- src/exodus/Ioex_Internals.h
- src/exodus/Ioex_Internals.C